Subject: Re: [PATCH 3/4] drivers/vfio: New IOCTL command VFIO_EEH_INFO

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 21 May 2014 17:24:22 +1000

On Wed, 2014-05-21 at 08:23 +0200, Alexander Graf wrote:
> > Note to Alex: This definitely kills the notifier idea for now
> though,
> > at least as a first class citizen of the design. We can add it as an
> > optional optimization on top later.
> 
> I don't think it does. The notifier would just get triggered on config
> space read failures for example :). It's really just an aid for the
> vfio user to have a common code path for error handling.

I'll let Gavin make the final call on that one, if he thinks we can
reliably trigger it and there isn't too much code churn as a
consequence.

Cheers,
Ben.